[core]
; arch: type of computer:
;	- zx80
;	- zxspectrum
;	- coleco[vision]
;	- amstrad|cpc|amstradcpc
; baseram: amount of base RAM, in KB
;   - amstrad 64-512k, (multiple of 64k) (Default:64/128 depending on model)
;   - others: ignored
; model:
;   - 464|cpc464
;	  - BASIC 1.0
;	- 664|cpc664
;	  - BASIC 1.1
;	- 6128|cpc6128
;	  - BASIC 1.1
arch=amstrad
model=cpc664
baseram=64

[debug]
;logfile=dump/trace.cpc464.log
;logfile.flush=1
;customROMFile=
;customROMAddress=

[cartridge]
file=

[tape]
count=1
samplerate=44100

[floppy]
; enable: 0=disable floppy controller
; floppy.x: raw floppy disk image (auto-detect geometry 160/180/320/360/720/1.44)
enable=1
floppy.1=
floppy.2=

[joystick]
; enable: 0=disable joystick port
; trim.x/y: Trimming values for joystick [-127..127], default 0
; threshold: Minimum value to trigger digital input on analox axis [0..32767], default 10000
enable=1
threshold=10000

[coleco]
; nodelay: 1=Use the modified BIOS ROM that removes the 12 seconds delay at launch.
;  Can be disabled for nostalgia/authenticity
nodelay=1

[zx80]
; Video
; video.fg|bg: 0xRRGGBB values for white/black
;video.fg=
;video.bg=

[loglevels]
; 0=off, 1=ERROR, 2=WARNING, 3=INFO, 4=DEBUG, 5=TRACE
computer=2
cpu=2
memory=2
pio=2
floppy=2
tape=2
keyboard=2
joystick=3
video=2
sound=3
inputs=2
mainwindow=3

[monitor]
; F12 in console window toggles the Monitor view
; breakpoint=(ddddd | 0xhhhh | 0oooooo) (address, in decimal|hex|octal) to stop at specfied address
; custommem=(ddddd | 0xhhhh | 0oooooo) to set custom memory view in monitor

;breakpoint=0x0000
; after clear ram
;breakpoint=0x0637

custommem=0x0000
